org.apache.poi.util

## Class GenericRecordUtil

- java.lang.Object
- - org.apache.poi.util.GenericRecordUtil

-     @Internal
      public final class GenericRecordUtil
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GenericRecordUtil.AnnotatedFlag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.function.Supplier<GenericRecordUtil.AnnotatedFlag>` | `getBitsAsString(java.util.function.Supplier<java.lang.Number> flags, int[] masks, java.lang.String[] names)`
    `static java.util.function.Supplier<GenericRecordUtil.AnnotatedFlag>` | `getEnumBitsAsString(java.util.function.Supplier<java.lang.Number> flags, int[] masks, java.lang.String[] names)`
    `static java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties(java.lang.String val1, java.util.function.Supplier<?> sup1)`
    `static java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties(java.lang.String val1, java.util.function.Supplier<?> sup1, java.lang.String val2, java.util.function.Supplier<?> sup2)`
    `static java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties(java.lang.String val1, java.util.function.Supplier<?> sup1, java.lang.String val2, java.util.function.Supplier<?> sup2, java.lang.String val3, java.util.function.Supplier<?> sup3)`
    `static java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties(java.lang.String val1, java.util.function.Supplier<?> sup1, java.lang.String val2, java.util.function.Supplier<?> sup2, java.lang.String val3, java.util.function.Supplier<?> sup3, java.lang.String val4, java.util.function.Supplier<?> sup4)`
    `static java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties(java.lang.String val1, java.util.function.Supplier<?> sup1, java.lang.String val2, java.util.function.Supplier<?> sup2, java.lang.String val3, java.util.function.Supplier<?> sup3, java.lang.String val4, java.util.function.Supplier<?> sup4, java.lang.String val5, java.util.function.Supplier<?> sup5)`
    `static java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties(java.lang.String val1, java.util.function.Supplier<?> sup1, java.lang.String val2, java.util.function.Supplier<?> sup2, java.lang.String val3, java.util.function.Supplier<?> sup3, java.lang.String val4, java.util.function.Supplier<?> sup4, java.lang.String val5, java.util.function.Supplier<?> sup5, java.lang.String val6, java.util.function.Supplier<?> sup6)`
    `static <T extends java.lang.Enum> java.util.function.Supplier<T>` | `safeEnum(T[] values, java.util.function.Supplier<java.lang.Number> ordinal)`
    `static <T extends java.lang.Enum> java.util.function.Supplier<T>` | `safeEnum(T[] values, java.util.function.Supplier<java.lang.Number> ordinal, T defaultVal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getGenericProperties

          public static java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties(java.lang.String val1,
                                                                                                            java.util.function.Supplier<?> sup1)

    - #### getGenericProperties

          public static java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties(java.lang.String val1,
                                                                                                            java.util.function.Supplier<?> sup1,
                                                                                                            java.lang.String val2,
                                                                                                            java.util.function.Supplier<?> sup2)

    - #### getGenericProperties

          public static java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties(java.lang.String val1,
                                                                                                            java.util.function.Supplier<?> sup1,
                                                                                                            java.lang.String val2,
                                                                                                            java.util.function.Supplier<?> sup2,
                                                                                                            java.lang.String val3,
                                                                                                            java.util.function.Supplier<?> sup3)

    - #### getGenericProperties

          public static java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties(java.lang.String val1,
                                                                                                            java.util.function.Supplier<?> sup1,
                                                                                                            java.lang.String val2,
                                                                                                            java.util.function.Supplier<?> sup2,
                                                                                                            java.lang.String val3,
                                                                                                            java.util.function.Supplier<?> sup3,
                                                                                                            java.lang.String val4,
                                                                                                            java.util.function.Supplier<?> sup4)

    - #### getGenericProperties

          public static java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties(java.lang.String val1,
                                                                                                            java.util.function.Supplier<?> sup1,
                                                                                                            java.lang.String val2,
                                                                                                            java.util.function.Supplier<?> sup2,
                                                                                                            java.lang.String val3,
                                                                                                            java.util.function.Supplier<?> sup3,
                                                                                                            java.lang.String val4,
                                                                                                            java.util.function.Supplier<?> sup4,
                                                                                                            java.lang.String val5,
                                                                                                            java.util.function.Supplier<?> sup5)

    - #### getGenericProperties

          public static java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties(java.lang.String val1,
                                                                                                            java.util.function.Supplier<?> sup1,
                                                                                                            java.lang.String val2,
                                                                                                            java.util.function.Supplier<?> sup2,
                                                                                                            java.lang.String val3,
                                                                                                            java.util.function.Supplier<?> sup3,
                                                                                                            java.lang.String val4,
                                                                                                            java.util.function.Supplier<?> sup4,
                                                                                                            java.lang.String val5,
                                                                                                            java.util.function.Supplier<?> sup5,
                                                                                                            java.lang.String val6,
                                                                                                            java.util.function.Supplier<?> sup6)

    - #### safeEnum

          public static <T extends java.lang.Enum> java.util.function.Supplier<T> safeEnum(T[] values,
                                                                                           java.util.function.Supplier<java.lang.Number> ordinal)

    - #### safeEnum

          public static <T extends java.lang.Enum> java.util.function.Supplier<T> safeEnum(T[] values,
                                                                                           java.util.function.Supplier<java.lang.Number> ordinal,
                                                                                           T defaultVal)

    - #### getBitsAsString

          public static java.util.function.Supplier<GenericRecordUtil.AnnotatedFlag> getBitsAsString(java.util.function.Supplier<java.lang.Number> flags,
                                                                                                     int[] masks,
                                                                                                     java.lang.String[] names)

    - #### getEnumBitsAsString

          public static java.util.function.Supplier<GenericRecordUtil.AnnotatedFlag> getEnumBitsAsString(java.util.function.Supplier<java.lang.Number> flags,
                                                                                                         int[] masks,
                                                                                                         java.lang.String[] names)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.